<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="panier">
        <h2 class="jh-entity-heading" data-cy="panierDetailsHeading">
          <span v-text="$t('coopcycleApp.panier.detail.title')">Panier</span> {{ panier.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('coopcycleApp.panier.utilisateur')">Utilisateur</span>
          </dt>
          <dd>
            <span v-text="$t('coopcycleApp.Role.' + panier.utilisateur)">{{ panier.utilisateur }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="panier.id" :to="{ name: 'PanierEdit', params: { panierId: panier.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./panier-details.component.ts"></script>
